/* COLORS */
/* TYPOGRAPHY */
/* ---- MEDIA QUERIES ----- */
.testimonials-block .heading {
  text-align: center;
  margin: 0 0 9.6rem;
}
.testimonials-block .testimonials-list {
  display: grid;
  grid-template-columns: 1fr;
  gap: 4rem;
}
.testimonials-block .testimonial {
  background-color: #254441;
  border-radius: 3rem;
  padding: 7.6rem 2.5rem 5.6rem;
  color: #fff;
  margin: 0 auto;
  width: 100%;
}
.testimonials-block .testimonial.hidden {
  display: none;
}
.testimonials-block .testimonial .content {
  max-width: 89.1rem;
  margin: 0 auto;
}
.testimonials-block .testimonial .text {
  text-align: center;
  font-size: 2.6rem;
  font-weight: 600;
  line-height: 3.4rem;
  margin: 0 0 2.4rem;
}
.testimonials-block .testimonial .case-link {
  color: #fff;
  text-align: center;
  width: 100%;
  display: block;
  font-weight: 700;
  line-height: 3.4rem;
  margin: 0 0 1.8rem;
}
.testimonials-block .testimonial .author-info {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 1.8rem;
  border-top: 1px solid rgba(255, 255, 255, 0.5);
  max-width: 30rem;
  margin: 0 auto;
  padding: 1.8rem 0;
}
.testimonials-block .testimonial .author-info .image {
  width: 6.3rem;
  height: 6.3rem;
  border-radius: 50%;
  overflow: hidden;
}
.testimonials-block .testimonial .author-info .name {
  font-size: 1.7rem;
  font-weight: 700;
}
.testimonials-block .testimonial .author-info .role {
  font-size: 1.7rem;
  line-height: 3.1rem;
}
.testimonials-block .button-container {
  display: flex;
  justify-content: center;
}
.testimonials-block .button-container .button.hidden {
  display: none;
}

@media (max-width: 768px) {
  .testimonials-block .heading {
    margin: 0 0 4.8rem;
  }
  .testimonials-block .testimonials-list {
    gap: 2rem;
  }
  .testimonials-block .testimonial {
    border-radius: 2rem;
    padding: 4rem 2.5rem;
  }
  .testimonials-block .testimonial .text {
    font-size: 1.8rem;
    line-height: normal;
  }
  .testimonials-block .testimonial .case-link {
    line-height: normal;
    font-size: 1.8rem;
  }
  .testimonials-block .testimonial .author-info .image {
    width: 5.3rem;
    height: 5.3rem;
  }
  .testimonials-block .testimonial .author-info .name {
    font-size: 1.6rem;
  }
  .testimonials-block .testimonial .author-info .role {
    font-size: 1.6rem;
    line-height: normal;
  }
}